# -- coding: utf-8 --
"""
Created on Wed Apr  8 17:53:04 2020
@author: Klaus Reinold
"""

from graphics_and_games_klassen import Dreieck, Rechteck

class Wand(Rechteck):
    """
    Erzeugt das Rechteck für die Wand des Hauses.
    """
    
    def __init__(self):  
        """
        Legt Position, Größe und Farbe fest
        """    
        super().__init__()
        self.PositionSetzen(20, 120)
        self.GroesseSetzen(140, 140)
        self.FarbeSetzen("hellgrün")
        
class Dach(Dreieck):
    """
    Erzeugt das Dreieck für das Dach des Hauses.
    """
    
    def __init__(self):  
        """
        Legt Position, Größe und Farbe fest
        """   
        super().__init__()
        self.PositionSetzen(90, 40)
        self.GroesseSetzen(140, 80)
        self.FarbeSetzen("rot")
        
class Haus:
    """
    Erstellt das Haus
    """
    
    def __init__(self):  
        """
        Baut das Haus auf
        """   
        Wand()
        Dach()
        # Hierher kommen noch die Fenster
        
Haus()
