# -- coding: utf-8 --
"""
Created on Wed Apr  8 17:53:04 2020
@author: Klaus Reinold
"""

from graphics_and_games_klassen import Figur, Rechteck

class RegenTropfen (Figur):
    """
    Stellt einen Regentropfen in seinen verschiedenen Phasen dar.
    """
    
    # Hier muss der Konstruktor ergänzt werden.
    
    def FigurTropfenFestlegen(self):
        """
        Stellt den Regentropfen im Fall dar
        """    
        self.EigeneFigurLoeschen()
        self.FigurteilFestlegenDreieck(-50, 0, 30, -30, 30, 30, "blau")
        self.FigurteilFestlegenEllipse(10, -30, 40, 60, "blau")
        
    def FlachWerden(self):
        """
        Stellt den Regentropfen während des Aufpralls dar
        """    
        self.EigeneFigurLoeschen()
        self.FigurteilFestlegenDreieck(-50, 0, 30, -30, 30, 30, "blau")
        self.FigurteilFestlegenRechteck(30, -45, 15, 90, "blau")
        
    def PfuetzeWerden(self):
        """
        Stellt den Regentropfen als Pfütze dar
        """ 
        self.EigeneFigurLoeschen()
        self.FigurteilFestlegenRechteck(30, -45, 15, 90, "blau")
        
    def AktionAusfuehren(self):
        """
        Methode wird aufgerufen, wenn die Figur handeln soll.
        """    
        self.WinkelSetzen(270)
        if self.YPositionGeben() < 520 - 20:
            self.FigurTropfenFestlegen()
            self.Gehen(10)
        else:
            if self.YPositionGeben() < 520 - 5:
                self.FlachWerden()
                self.Gehen(5)
            else:
                self.PfützeWerden()
                
RegenTropfen()       
